Page MenuHomeFreeBSD

www/node: Update 8.2.1 -> 8.3.0
ClosedPublic

Authored by bhughes on Aug 10 2017, 5:57 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 26, 10:27 PM
Unknown Object (File)
Mon, Feb 26, 1:35 PM
Unknown Object (File)
Jan 30 2024, 12:49 AM
Unknown Object (File)
Dec 27 2023, 10:55 PM
Unknown Object (File)
Dec 23 2023, 3:52 AM
Unknown Object (File)
Nov 27 2023, 8:07 AM
Unknown Object (File)
Nov 27 2023, 8:07 AM
Unknown Object (File)
Nov 27 2023, 8:07 AM
Subscribers
None

Details

Summary

www/node: Update 8.2.1 -> 8.3.0

  • Revert libc++ workaround from r444555, since upstream has fixed the issue differently.
  • Refresh patches with 'make makepatch'

Approved by: robak (mentor)

Test Plan

$ pwd
/usr/ports/www/node
$ portlint -C
WARN: Makefile: [0]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
WARN: Makefile: possible use of absolute pathname "/etc/make.conf".
0 fatal errors and 2 warnings found.

http://35.176.84.170/data/latest-per-pkg/node/8.3.0/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 10994
Build 11381: arc lint + arc unit

Event Timeline

Revert changes from r444555, since upstream has solved the issue
differently. Refresh all patches with make makepatch.

bhughes edited the test plan for this revision. (Show Details)
www/node/files/patch-deps_v8_src_arm_cpu-arm.cc
1โ€“3

This one did not change, so don't include it.

The only changes that warrant a commit to a patch are:

  • metadata change, that is, the @@ -w,x +y,z @@ bits
  • changes in the content itself.

Everything else, like timestamps, or function names after the @@ are comments and do not warrant a commit.

I will write this down in the handbook, one day.

www/node/files/patch-deps_v8_src_libsampler_sampler.cc
1โ€“3

This one here, too, is not needed.

This revision is now accepted and ready to land.Aug 10 2017, 12:39 PM

Good point. I recall being told essentially the same thing when submitting PRs before getting my commit bit. I will remove the unnecessary deltas.

bhughes edited edge metadata.
bhughes marked an inline comment as done.

Remove unnecessary deltas in files/patch-*

This revision now requires review to proceed.Aug 10 2017, 12:44 PM
This revision was automatically updated to reflect the committed changes.